Bug 249058 - Intel X710-T2L Ethernet Adapter not detected in FreeBSD 12.1
Summary: Intel X710-T2L Ethernet Adapter not detected in FreeBSD 12.1
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.1-STABLE
Hardware: amd64 Any
: --- Affects Some People
Assignee: Eric Joyner
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2020-09-01 22:03 UTC by Abhinav Tella
Modified: 2020-10-27 03:45 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Abhinav Tella 2020-09-01 22:03:30 UTC
Unlike in FreeBSD 11.3, The Intel X710-T2L Ethernet adapter is not detected on FreeBSD 12.1 using drivers in the OS. 

Updating to Intel ixl driver version 1.12.2 fixes this issue on FreeBSD 12.1.
Comment 1 VVD 2020-09-01 23:08:17 UTC
GENERIC?
pciconf -lv from both 11.3 and 12.1.
Comment 2 Abhinav Tella 2020-09-01 23:37:49 UTC
Thanks for looking into this. My card is the standard Intel product, not an OEM version. I would assume this issue would also affect the Intel X710-T4L as well.


Here is the pciconf -lv output after compiling and installing Intel ixl driver version 1.12.2 on 12.1.

 I will also post the output from 11.3 and 12.1 (with default driver) as soon as I get a chance either today or tomorrow.






hostb0@pci0:0:0:0:	class=0x060000 card=0x1b2d15d9 chip=0x14501022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Root Complex'
    class      = bridge
    subclass   = HOST-PCI
hostb1@pci0:0:1:0:	class=0x060000 card=0x00000000 chip=0x14521022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
pcib1@pci0:0:1:1:	class=0x060400 card=0x14531022 chip=0x14531022 rev=0x00 hdr=0x01
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) PCIe GPP Bridge'
    class      = bridge
    subclass   = PCI-PCI
pcib2@pci0:0:1:3:	class=0x060400 card=0x14531022 chip=0x14531022 rev=0x00 hdr=0x01
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) PCIe GPP Bridge'
    class      = bridge
    subclass   = PCI-PCI
pcib4@pci0:0:1:5:	class=0x060400 card=0x14531022 chip=0x14531022 rev=0x00 hdr=0x01
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) PCIe GPP Bridge'
    class      = bridge
    subclass   = PCI-PCI
hostb2@pci0:0:2:0:	class=0x060000 card=0x00000000 chip=0x14521022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
hostb3@pci0:0:3:0:	class=0x060000 card=0x00000000 chip=0x14521022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
pcib5@pci0:0:3:1:	class=0x060400 card=0x14531022 chip=0x14531022 rev=0x00 hdr=0x01
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) PCIe GPP Bridge'
    class      = bridge
    subclass   = PCI-PCI
hostb4@pci0:0:4:0:	class=0x060000 card=0x00000000 chip=0x14521022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
hostb5@pci0:0:7:0:	class=0x060000 card=0x00000000 chip=0x14521022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
pcib6@pci0:0:7:1:	class=0x060400 card=0x14541022 chip=0x14541022 rev=0x00 hdr=0x01
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B'
    class      = bridge
    subclass   = PCI-PCI
hostb6@pci0:0:8:0:	class=0x060000 card=0x00000000 chip=0x14521022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
pcib7@pci0:0:8:1:	class=0x060400 card=0x14541022 chip=0x14541022 rev=0x00 hdr=0x01
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B'
    class      = bridge
    subclass   = PCI-PCI
intsmb0@pci0:0:20:0:	class=0x0c0500 card=0x790b15d9 chip=0x790b1022 rev=0x59 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'FCH SMBus Controller'
    class      = serial bus
    subclass   = SMBus
isab0@pci0:0:20:3:	class=0x060100 card=0x790e15d9 chip=0x790e1022 rev=0x51 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'FCH LPC Bridge'
    class      = bridge
    subclass   = PCI-ISA
hostb7@pci0:0:24:0:	class=0x060000 card=0x00000000 chip=0x14601022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 0'
    class      = bridge
    subclass   = HOST-PCI
hostb8@pci0:0:24:1:	class=0x060000 card=0x00000000 chip=0x14611022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 1'
    class      = bridge
    subclass   = HOST-PCI
hostb9@pci0:0:24:2:	class=0x060000 card=0x00000000 chip=0x14621022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 2'
    class      = bridge
    subclass   = HOST-PCI
hostb10@pci0:0:24:3:	class=0x060000 card=0x00000000 chip=0x14631022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 3'
    class      = bridge
    subclass   = HOST-PCI
hostb11@pci0:0:24:4:	class=0x060000 card=0x00000000 chip=0x14641022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 4'
    class      = bridge
    subclass   = HOST-PCI
hostb12@pci0:0:24:5:	class=0x060000 card=0x00000000 chip=0x14651022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 5'
    class      = bridge
    subclass   = HOST-PCI
hostb13@pci0:0:24:6:	class=0x060000 card=0x00000000 chip=0x14661022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 6'
    class      = bridge
    subclass   = HOST-PCI
hostb14@pci0:0:24:7:	class=0x060000 card=0x00000000 chip=0x14671022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 7'
    class      = bridge
    subclass   = HOST-PCI
nvme0@pci0:1:0:0:	class=0x010802 card=0xa801144d chip=0xa804144d rev=0x00 hdr=0x00
    vendor     = 'Samsung Electronics Co Ltd'
    device     = 'NVMe SSD Controller SM961/PM961'
    class      = mass storage
    subclass   = NVM
pcib3@pci0:2:0:0:	class=0x060400 card=0x11501a03 chip=0x11501a03 rev=0x04 hdr=0x01
    vendor     = 'ASPEED Technology, Inc.'
    device     = 'AST1150 PCI-to-PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
vgapci0@pci0:3:0:0:	class=0x030000 card=0x1b2d15d9 chip=0x20001a03 rev=0x41 hdr=0x00
    vendor     = 'ASPEED Technology, Inc.'
    device     = 'ASPEED Graphics Family'
    class      = display
    subclass   = VGA
igb0@pci0:4:0:0:	class=0x020000 card=0x152115d9 chip=0x15218086 rev=0x01 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'I350 Gigabit Network Connection'
    class      = network
    subclass   = ethernet
igb1@pci0:4:0:1:	class=0x020000 card=0x152115d9 chip=0x15218086 rev=0x01 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'I350 Gigabit Network Connection'
    class      = network
    subclass   = ethernet
igb2@pci0:4:0:2:	class=0x020000 card=0x152115d9 chip=0x15218086 rev=0x01 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'I350 Gigabit Network Connection'
    class      = network
    subclass   = ethernet
igb3@pci0:4:0:3:	class=0x020000 card=0x152115d9 chip=0x15218086 rev=0x01 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'I350 Gigabit Network Connection'
    class      = network
    subclass   = ethernet
ixl0@pci0:5:0:0:	class=0x020000 card=0x00038086 chip=0x15ff8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Controller X710 for 10GBASE-T'
    class      = network
    subclass   = ethernet
ixl1@pci0:5:0:1:	class=0x020000 card=0x00008086 chip=0x15ff8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Controller X710 for 10GBASE-T'
    class      = network
    subclass   = ethernet
none0@pci0:6:0:0:	class=0x130000 card=0x145a1022 chip=0x145a1022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Zeppelin/Raven/Raven2 PCIe Dummy Function'
    class      = non-essential instrumentation
none1@pci0:6:0:2:	class=0x108000 card=0x14561022 chip=0x14561022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Family 17h (Models 00h-0fh) Platform Security Processor'
    class      = encrypt/decrypt
xhci0@pci0:6:0:3:	class=0x0c0330 card=0x145c15d9 chip=0x145f1022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Zeppelin USB 3.0 Host controller'
    class      = serial bus
    subclass   = USB
none2@pci0:7:0:0:	class=0x130000 card=0x14551022 chip=0x14551022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Zeppelin/Renoir PCIe Dummy Function'
    class      = non-essential instrumentation
none3@pci0:7:0:1:	class=0x108000 card=0x14681022 chip=0x14681022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'Zeppelin Cryptographic Coprocessor NTBCCP'
    class      = encrypt/decrypt
ahci0@pci0:7:0:2:	class=0x010601 card=0x790115d9 chip=0x79011022 rev=0x51 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD]'
    device     = 'FCH SATA Controller [AHCI mode]'
    class      = mass storage
    subclass   = SATA
Comment 3 VVD 2020-09-02 00:53:53 UTC
Check this for PCI ID 0x15ff:
https://svnweb.freebsd.org/base/releng/11.3/sys/dev/ixl/i40e_devids.h?r1=349026&r2=349181
https://svnweb.freebsd.org/base/releng/12.1/sys/dev/ixl/i40e_devids.h?view=log
https://svnweb.freebsd.org/base/stable/12/sys/dev/ixl/i40e_devids.h?revision=363876&view=markup

Don't know why, but stable/12 have old version of the ixl driver…

It was commited to HEAD 1:30h ago only!
https://svnweb.freebsd.org/base/head/sys/dev/ixl/i40e_devids.h?r1=361992&r2=365231
> MFC after:	3 days

AFAIU, this change will be commited to stable/12 at 4-5th of Sep, and 12.2 should get support of this hardware.
Release in 2 months: https://www.freebsd.org/releases/12.2R/schedule.html
Comment 4 Abhinav Tella 2020-09-02 00:56:57 UTC
Nice, thanks for the info and update, glad to hear this is being fixed.
Comment 5 commit-hook freebsd_committer 2020-09-04 21:22:15 UTC
A commit references this bug:

Author: erj
Date: Fri Sep  4 21:21:25 UTC 2020
New revision: 365339
URL: https://svnweb.freebsd.org/changeset/base/365339

Log:
  MFC r365231: ixl(4): Add support for X710-T*L devices

  PR:		249058
  Sponsored by:	Intel Corporation

Changes:
_U  stable/12/
  stable/12/sys/dev/ixl/i40e_adminq_cmd.h
  stable/12/sys/dev/ixl/i40e_common.c
  stable/12/sys/dev/ixl/i40e_devids.h
  stable/12/sys/dev/ixl/i40e_prototype.h
  stable/12/sys/dev/ixl/i40e_type.h
  stable/12/sys/dev/ixl/if_ixl.c
  stable/12/sys/dev/ixl/ixl_pf.h
  stable/12/sys/dev/ixl/ixl_pf_main.c
  stable/12/sys/dev/ixl/virtchnl.h
Comment 6 Abhinav Tella 2020-10-05 21:28:53 UTC
This issue seems fixed on recent builds, even a previous issue in regards to non-functional 2.5/5 Gbps modes when updating to adapter firmwares 7.3 and newer also seem fixed with recent 12.2 builds.